org.apache.http.nio

## Class ContentDecoderChannel

- java.lang.Object
- - org.apache.http.nio.ContentDecoderChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, ReadableByteChannel

    public class ContentDecoderChannel
    extends Object
    implements ReadableByteChannel

A `ReadableByteChannel` that delegates to a `ContentDecoder`. Attempts to close this channel are ignored, and `isOpen()` always returns `true`.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`ContentDecoderChannel(ContentDecoder decoder)`

### Method Summary

Methods
`void` `close()`
`boolean` `isOpen()`
`int` `read(ByteBuffer dst)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentDecoderChannel

    public ContentDecoderChannel(ContentDecoder decoder)

### Method Detail

#### read

    public int read(ByteBuffer dst)
             throws IOException

Specified by:
  `read` in interface `ReadableByteChannel`
Throws:
  `IOException`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Channel`

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `Channel`